#ifndef HME_TST_Data_H
#define HME_TST_Data_H

#include "incs.h"

class TST_Data
{
public:
  TST_Data ( FILE* TST_Data_file, int num_points, int num_inputs);
  ~TST_Data();
  real get_next_input ( int pointer, real* input );
  real** get_inputs(int offset);
  void print();
private:
  FILE* data_fp;
  int n_points;
  int n_inputs;
  real** input_matrix;
  
};


#endif

